> ## Documentation Index
> Fetch the complete documentation index at: https://koreai-agent-management-platform-dev.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create (Import) a Conversation Test Suite API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To create a conversation test suite by importing test cases from a file. Returns `dsId`, the ID to check the import status.

| Field             | Value                                                                                                                            |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | POST                                                                                                                             |
| **Endpoint**      | `https://{{host}}/api/public/stream/:streamId/conversation/testsuite/import`                                                     |
| **Content Type**  | `application/json`                                                                                                               |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Conversation Tests Management; Admin Console: Conversation Tests Management                                         |

## Query Parameters

| Parameter  | Description                                                             | Required |
| ---------- | ----------------------------------------------------------------------- | -------- |
| `host`     | Environment URL. For example, `https://platform.kore.ai`.               | Required |
| `StreamID` | The Stream ID. Access it under **General Settings** on the App Builder. | Required |

## Sample Request

```json  theme={null}
curl --location --request POST 'https://{{host}}/api/public/stream/{{streamId}}/conversation/testsuite/import' \
--header 'auth: {jwt-code}' \
--header 'bot-language: {language-code}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "fileName": "6721ff68208caa4dffe35be4",
    "name": "platinum",
    "tags": [],
    "description": "NewTestCase",
    "userEmailId": "botowner@domain.com"
}'
```

## Body Parameters

| Parameter     | Description                                          | Required |
| ------------- | ---------------------------------------------------- | -------- |
| `fileName`    | File containing the conversation test suite details. | Required |
| `name`        | Test suite name.                                     | Required |
| `tags`        | Conversation test case tags list.                    | Optional |
| `description` | Test suite description.                              | Optional |
| `userEmailId` | Email ID of the bot or account owner.                | Required |

## Sample Response

```json  theme={null}
{
    "status": "IN_PROGRESS",
    "dsId": "ds-f8xxxxx5-5xxa-5xx4-axx4-48xxxxxxxxx9"
}
```


Built with [Mintlify](https://mintlify.com).